<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Bootstrap 4 Modal: information modal</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script>
	$(document).ready(function(){
        //gán sự kiện click cho button my Modal
		$("#btn-show-modal").click( function(){
            $("#my-modal").modal('show'); // hiển thị modal
        });
        // gán sự kiện click cho nút ok ở modal  
        $("#btn-modal-ok").click( function() {
            $("#my-modal").modal('hide'); // ẩn modal
        });

        // khi có sự kiện modal show lên thì sẽ làm gì đó?
        $('#my-modal').on('shown.bs.modal', function () {
            $('#myInput').val("Hello Viet Nam");
            $('#myInput').trigger('focus');
        })
        
        // khi có sự kiện modal ẩn đi thì sẽ làm gì đó?
        $("#my-modal").on("hidden.bs.modal", function() {
            console.log("Modal hide");
        });
	});
</script>
<style>
    .bs-example{
    	margin: 5px;
    }
</style>
</head>
<body>

<p> example for modal </p>

<button id="btn-show-modal" class="btn btn-primary"> Show Modal here </button>

<div class="bs-example">
    <!-- modal box-->
    <div id="my-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Data confirmation</h5>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <p>Dữ liệu chi tiết của users: </p>
                    <p> ...</p>
                    <input id="myInput" class="form-control" placeholder="form input">
                </div>
                <div class="modal-footer">
                    <button type="button" id="btn-modal-ok" class="btn btn-primary">Confirm OK</button>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>